from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
import numpy

ext_modules=[ 
    Extension("juliacython", ["julia.pyx"],extra_compile_args=["-O3"]),
    Extension("juliacython2", ["julia2.pyx"],extra_compile_args=["-O3"]),
    Extension("juliacython3", ["julia3.pyx"],extra_compile_args=["-O3"], include_dirs=[numpy.get_include()]),
    Extension("juliacython4", ["julia4.pyx","mycalc.c"], extra_compile_args=["-O3"], include_dirs=[numpy.get_include(),'.'],include_libraries=['.']),
]

include_dirs=['.'],
#              include_libraries=['.'],
#              libraries=['mymath']),

setup(
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext_modules,
)

