cdef extern from "complex.h":
     double cabs(double complex)

def calcz(double complex z, double complex c, double zabsmax):
    cdef int nit = 0
    cdef double nitmax = 1000.
    cdef double ratio
    while cabs(z) < zabsmax and nit < nitmax:
        z = z*z + c
        nit += 1
        ratio = nit / nitmax
    return ratio
        
